# $Revision: 1.4.2.2 $, $Date: 2003/04/11 15:33:33 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	Trigram
Summary:	String::Trigram - Find similar strings by trigram method
Summary(pl):	String::Trigram - poszukiwanie podobnych acychw metod trygramw
Name:		perl-String-Trigram
Version:	0.1
Release:	2
Epoch:		1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module computes the similarity of two strings based on the
trigram method. This consists in splitting some string into triples of
characters and comparing those to the trigrams of some other string.
For example the string kangaroo has the trigrams {kan ang nga gar aro
roo}. A wrongly typed kanagaroo has the trigrams {kan ana nag aga gar
aro roo}. To compute the similarity we (roughly) divide the number of
matching trigrams (tokens not types) by the number of all trigrams
(types not tokens). For our example this means dividing 4 / 9
resulting in 0.44.

%description -l pl
Ten modu oblicza podobiestwo dwch acuchw bazujc na metodzie
trygramw. Skada si ona z dzielenia acucha na trjki znakw i
porwnywanie tych trygramw z jakim innym acuchem. Na przykad
acuch "kangaroo" zawiera trygramy {kan ang nga gar aro roo}. le
napisane "kanagaroo" zawiera trygramy {kan ana nag aga gar aro roo}.
Aby obliczy podobiestwo, dzielimy (zgrubnie) liczb pasujcych
trygramw (tokenw, nie typw) przez liczb wszystkich trygramw
(typw, nie tokenw). W naszym przykadzie oznacza to dzielenie 4 / 9,
co daje warto 0.44.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitearch}/String/*.pm
%{perl_sitearch}/auto/String/Trigram/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/String/Trigram/*.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-String-Trigram.spec,v $
Revision 1.4.2.2  2003/04/11 15:33:33  ankry
- updated to 0.1: Epoch 1
- it is arch dependent now

Revision 1.4.2.1  2003/03/13 00:58:50  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:28  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:37:24  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
